<footer class="bg-[#F5F5F7] border-t w-full p-4 mt-auto">
    <div class="max-w-5xl grid grid-cols-5 mx-auto">
        {% if current_user.role_id == 1 %}
        <div class="flex flex-col">
            <span class="font-semibold">Offre</span>
            <a href="{{ url_for('index') }}" class="hover:text-[var(--blue)] w-fit">Liste des offres</a>
        </div>

        <div class="flex flex-col">
            <span class="font-semibold">Entreprise</span>
            <a href="{{ url_for('list_company') }}" class="hover:text-[var(--blue)] w-fit">Liste des entreprises</a>
        </div>

        <div class="flex flex-col">
            <span class="font-semibold">Réclamation</span>
            <a href="{{ url_for('add_problem') }}" class="hover:text-[var(--blue)] w-fit">Effectuer une réclamation</a>
        </div>

        <div class="flex flex-col">
            <span class="font-semibold">Profil</span>
            <a href="{{ url_for('profil') }}" class="hover:text-[var(--blue)] w-fit">Profil</a>
            <a href="{{ url_for('logout') }}" class="hover:text-[var(--blue)] w-fit">Se déconnecter</a>
        </div>
        {% elif current_user.role_id == 2 %}
        <div class="flex flex-col">
            <span class="font-semibold">Etudiant</span>
            <a href="{{ url_for('index') }}" class="hover:text-[var(--blue)] w-fit">Liste des étudiants</a>
        </div>

        <div class="flex flex-col">
            <span class="font-semibold">Entreprise</span>
            <a href="{{ url_for('list_company') }}" class="hover:text-[var(--blue)] w-fit">Liste des entreprises</a>
        </div>

        <div class="flex flex-col">
            <span class="font-semibold">Validation</span>
            <a href="{{ url_for('offres_tobe_accepted') }}" class="hover:text-[var(--blue)] w-fit">Voir les offres à
                valider</a>
            <a href="{{ url_for('list_mission_request') }}" class="hover:text-[var(--blue)] w-fit">Voir les missions à
                valider</a>
        </div>

        <div class="flex flex-col">
            <span class="font-semibold">Soutenance</span>
            <a href="{{ url_for('soutenance_placing') }}" class="hover:text-[var(--blue)] w-fit">Calendrier</a>
        </div>

        <div class="flex flex-col">
            <span class="font-semibold">Profil</span>
            <a href="{{ url_for('profil') }}" class="hover:text-[var(--blue)] w-fit">Profil</a>
            <a href="{{ url_for('logout') }}" class="hover:text-[var(--blue)] w-fit">Se déconnecter</a>
        </div>


        {% elif current_user.role_id == 3 %}
        <div class="flex flex-col">
            <span class="font-semibold">Promotion</span>
            <a href="{{ url_for('index') }}" class="hover:text-[var(--blue)] w-fit">Voir les promotions</a>
            <a href="{{ url_for('add_promo') }}" class="hover:text-[var(--blue)] w-fit">Ajouter une promotion</a>
        </div>

        <div class="flex flex-col">
            <span class="font-semibold">Entreprise & problème</span>
            <a href="{{ url_for('list_problems') }}" class="hover:text-[var(--blue)] w-fit">Liste des problèmes</a>
            <a href="{{ url_for('list_company') }}" class="hover:text-[var(--blue)] w-fit">Liste des entreprises</a>
            <a href="{{ url_for('add_company') }}" class="hover:text-[var(--blue)] w-fit">Ajouter une entreprise</a>
        </div>

        <div class="flex flex-col">
            <span class="font-semibold">Offre</span>
            <a href="{{ url_for('list_offers') }}" class="hover:text-[var(--blue)] w-fit">Voir les offres</a>
            <a href="{{ url_for('new_offer') }}" class="hover:text-[var(--blue)] w-fit">Ajouter une offre</a>
        </div>

        <div class="flex flex-col">
            <span class="font-semibold">Salle</span>
            <a href="{{ url_for('list_rooms') }}" class="hover:text-[var(--blue)] w-fit">Voir les salles</a>
        </div>

        <div class="flex flex-col">
            <span class="font-semibold">Profil</span>
            <a href="{{ url_for('profil') }}" class="hover:text-[var(--blue)] w-fit">Profil</a>
            <a href="{{ url_for('logout') }}" class="hover:text-[var(--blue)] w-fit">Se déconnecter</a>
        </div>
        {% endif %}
    </div>
</footer>